# Delete a webhook endpoint

`DELETE /v1/webhooks/{id}`

Deletes the webhook endpoint. Events waiting to be sent to it are never sent.

Needs `webhooks:write`.

## Path parameters

- `id` (string, uuid): The webhook endpoint's ID.

## Example

```sh
curl -X DELETE https://app.soosh.io/v1/webhooks/4c6e8a0c-2e4b-4d6f-b8a0-1c3e5a7c9e4b \
  -H "Authorization: Bearer $SOOSH_API_KEY"
```

## Returns

204. No content.

## Errors

Besides the ones every request can get (https://docs.soosh.io/reference/api/errors/):

- 404 `not_found`: There is no webhook endpoint with this ID in your workspace.